/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author mhussain3
 */
public class NonLeafNode extends Node {

    List<LeafNode> pointers;
    String Rc_min;
    String Rc_max;

    public NonLeafNode() {
        super();
        pointers = new ArrayList<LeafNode>(max);
        Rc_max="";
        Rc_min="";
    }

    public void setRc_max(String Rc_max) {
        this.Rc_max = Rc_max;
    }

    public void setRc_min(String Rc_min) {
        this.Rc_min = Rc_min;
    }
}
